[SCM] Gerris Flow Solver branch, upstream, updated. b3aa46814a06c9cb2912790b23916ffb44f1f203

Stephane Popinet popinet at users.sf.net
Fri May 15 02:55:50 UTC 2009


The following commit has been merged in the upstream branch:
commit b499b7182b74e1af9639d6a69ea9303d6294939b
Author: Stephane Popinet <popinet at users.sf.net>
Date:   Fri Oct 24 18:23:05 2008 +1100

    New 'ppm2theora' script
    
    darcs-hash:20081024072305-d4795-ed6bb5c319797b6153f596eae3796057d7706c57.gz

diff --git a/tools/Makefile.am b/tools/Makefile.am
index 80e4a5e..664b745 100644
--- a/tools/Makefile.am
+++ b/tools/Makefile.am
@@ -18,6 +18,7 @@ bin_SCRIPTS = \
 	darcs2dist \
 	bat2gts \
 	ppm2mpeg \
+	ppm2theora \
 	gfs2gfs \
 	gfsjoin
 
diff --git a/tools/ppm2theora b/tools/ppm2theora
new file mode 100755
index 0000000..9e8e14d
--- /dev/null
+++ b/tools/ppm2theora
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+if test -z "`which ffmpeg2theora`"; then
+    echo "ppm2theora: error: could not find 'ffmpeg2theora'" > /dev/stderr
+    exit 1
+fi
+
+# command="ffmpeg -f image2pipe -vcodec ppm -i - -f avi -vcodec libtheora -vb 1800K"
+command="ffmpeg2theora -f image2pipe pipe:.ppm -K 8 -v 10 --artist Gerris -o /dev/stdout"
+while test $# -gt 0; do
+    command="$command $1"
+    shift
+done
+
+if test -d "$TMPDIR" ; then
+  log=`mktemp $TMPDIR/ppm2theora.XXXXXX`
+else
+  log=`mktemp /tmp/ppm2theora.XXXXXX`
+fi
+
+if $command 2> $log; then :
+else
+    cat $log > /dev/stderr
+    rm -f $log
+    exit 1
+fi
+rm -f $log
+
+exit 0

-- 
Gerris Flow Solver



More information about the debian-science-commits mailing list